OpenStack VM associated to wrong hosts when missing floating IP
Description

When I trying to associate VM from OpenStack compute-resource with Foreman host created from Puppet reports VM gets

associated with random Host from list, but not with correct one.

My Foreman hosts is created from Puppet reports, no IP/MAC address is added to those hosts. Even if I add information like MAC/IP

addresses to host I want to associate with OpenStack instance it not helps.

What I need to set in Foreman Host or OpenStack to associate VM with correct host?

Associated revisions

Revision 94d13457 - 11/01/2016 03:13 PM - Kęstutis Mizara

fixes #16091 - Fixed association Foreman host with Compute VM

Revision b249867d - 11/25/2016 09:30 AM - Kęstutis Mizara

fixes #16091 - Fixed association Foreman host with Compute VM

(cherry picked from commit 94d134573b5ccf3f7907c9ae32fda14ad064a3aa)

History

#1 - 08/12/2016 09:48 AM - Tadas Narbutas

When I trying to associate VM from OpenStack compute-resource with Foreman host created from Puppet reports VM gets associated with random

Host from list, but not with correct one.

My Foreman hosts is created from Puppet reports, no IP/MAC address is added to those hosts. Even if I add information like MAC/IP addresses to

host I want to associate with OpenStack instance it not helps.

What I need to set in Foreman Host or OpenStack to associate VM with correct host?

I am using 1.11.1 version of Foreman installed with Katello 3.0 package

#2 - 08/12/2016 10:12 AM - Tadas Narbutas

Here is association logs from production.log:

2016-08-12 12:43:27 [app] [I] Started PUT "/compute_resources/3-IT-TestsSandbox/vms/6b0fbce8-898f-4f5d-980f-9536f9b851f0/associate" for XXX

at 2016-08-12 12:43:27 +0200

2016-08-12 12:43:27 [app] [I] Processing by ComputeResourcesVmsController#associate as HTML

2016-08-12 12:43:27 [app] [I]   Parameters: {"authenticity_token"=>"XXX", "compute_resource_id"=>"3-IT-TestsSandbox",

"id"=>"6b0fbce8-898f-4f5d-980f-9536f9b851f0"}

2016-08-12 12:43:28 [app] [I] Redirected to https://kate002prv.domain.zone/hosts/smartp002prv.domain.zone

2016-08-12 12:43:28 [app] [I] Completed 302 Found in 1272ms (ActiveRecord: 15.7ms)

I was trying to associate VM with aaafor001d1v name (name was imported from OpenStack to Foreman)

#3 - 08/17/2016 02:32 PM - Justin Sherrill

- Project changed from Katello to Foreman
https://kate002prv.domain.zone/hosts/smartp002prv.domain.zone


- Category set to Compute resources

Seems more foreman related, moving to the foreman project.

#4 - 08/18/2016 03:10 AM - Dominic Cleal

- Category changed from Compute resources to Compute resources - OpenStack

The floating IP and private IP from OpenStack are matched against the registered primary IP address of the host. If either match, the host will be

associated.

Enabling SQL logging may show more information about which IP address it's searching for: 

http://theforeman.org/manuals/1.11/index.html#7.2Debugging

#5 - 11/01/2016 04:01 PM - Kęstutis Mizara

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 94d134573b5ccf3f7907c9ae32fda14ad064a3aa.

#6 - 11/02/2016 04:37 AM - Dominic Cleal

- Tracker changed from Support to Bug

- Subject changed from Problems with Associating VMs from OpenStack to Foreman Nodes to OpenStack VM associated to wrong hosts when

missing floating IP

- translation missing: en.field_release set to 203
